Skip to main content
`Ctrl`+`K`

# SNESGetJacobianDomainError

Gets the status of the Jacobian domain error after a call to `SNESComputeJacobian()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetJacobianDomainError(SNES snes, PetscBool *domainerror)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- domainerror - Set to `PETSC_TRUE` if there’s a Jacobian domain error; `PETSC_FALSE` otherwise.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetFunctionDomainError()`, `SNESComputeFunction()`, `SNESGetFunctionDomainError()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages